/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __FEXIT_SLEEP_LSKEL_SKEL_H__
#define __FEXIT_SLEEP_LSKEL_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct fexit_sleep_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc nanosleep_fentry;
		struct bpf_prog_desc nanosleep_fexit;
	} progs;
	struct {
		int nanosleep_fentry_fd;
		int nanosleep_fexit_fd;
	} links;
	struct fexit_sleep_lskel__bss {
		int pid;
		int fentry_cnt;
		int fexit_cnt;
	} *bss;
};

static inline int
fexit_sleep_lskel__nanosleep_fentry__attach(struct fexit_sleep_lskel *skel)
{
	int prog_fd = skel->progs.nanosleep_fentry.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.nanosleep_fentry_fd = fd;
	return fd;
}

static inline int
fexit_sleep_lskel__nanosleep_fexit__attach(struct fexit_sleep_lskel *skel)
{
	int prog_fd = skel->progs.nanosleep_fexit.prog_fd;
	int fd = bpf_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.nanosleep_fexit_fd = fd;
	return fd;
}

static inline int
fexit_sleep_lskel__attach(struct fexit_sleep_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : fexit_sleep_lskel__nanosleep_fentry__attach(skel);
	ret = ret < 0 ? ret : fexit_sleep_lskel__nanosleep_fexit__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
fexit_sleep_lskel__detach(struct fexit_sleep_lskel *skel)
{
	skel_closenz(skel->links.nanosleep_fentry_fd);
	skel_closenz(skel->links.nanosleep_fexit_fd);
}
static void
fexit_sleep_lskel__destroy(struct fexit_sleep_lskel *skel)
{
	if (!skel)
		return;
	fexit_sleep_lskel__detach(skel);
	skel_closenz(skel->progs.nanosleep_fentry.prog_fd);
	skel_closenz(skel->progs.nanosleep_fexit.prog_fd);
	munmap(skel->bss, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	free(skel);
}
static inline struct fexit_sleep_lskel *
fexit_sleep_lskel__open(void)
{
	struct fexit_sleep_lskel *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->bss =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->bss == (void *) -1)
		goto cleanup;
	memcpy(skel->bss, (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0", 12);
	skel->maps.bss.initial_value = (__u64)(long)skel->bss;
	return skel;
cleanup:
	fexit_sleep_lskel__destroy(skel);
	return NULL;
}

static inline int
fexit_sleep_lskel__load(struct fexit_sleep_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 3016;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x01\x18\0\0\x01\x18\0\0\x01\xf9\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\
\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\x0c\0\0\
\x01\0\0\0\x03\0\0\0\x2d\x0c\0\0\x01\0\0\0\x03\0\0\0\x3d\x01\0\0\0\0\0\0\x01\
\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\x04\0\0\0\x42\
\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\x56\x0e\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\
\x5e\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x62\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\x6d\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x01\xb7\x0f\0\0\x01\0\0\0\x04\0\0\0\
\x0a\0\0\0\0\0\0\0\x04\0\0\x01\xbf\x0f\0\0\x03\0\0\0\x0c\0\0\0\x0b\0\0\0\0\0\0\
\0\x04\0\0\0\x0c\0\0\0\x04\0\0\0\x04\0\0\0\x0d\0\0\0\x08\0\0\0\x04\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\
\0\x69\x6e\x74\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\
\x79\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\x69\x74\0\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x4c\x49\x43\x45\x4e\x53\x45\0\x70\x69\x64\0\x66\x65\x6e\x74\x72\x79\
\x5f\x63\x6e\x74\0\x66\x65\x78\x69\x74\x5f\x63\x6e\x74\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x33\x2e\x65\x6c\x39\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x33\x2e\x65\
\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\x73\x6c\x65\x65\x70\x2e\x63\0\x09\
\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x20\x21\
\x3d\x20\x70\x69\x64\x29\0\x09\x66\x65\x6e\x74\x72\x79\x5f\x63\x6e\x74\x2b\x2b\
\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\x79\x2c\x20\x63\x6f\x6e\x73\x74\x20\
\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\
\x73\x29\0\x09\x66\x65\x78\x69\x74\x5f\x63\x6e\x74\x2b\x2b\x3b\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\
\x5f\x66\x65\x78\x69\x74\x2c\x20\x63\x6f\x6e\x73\x74\x20\x73\x74\x72\x75\x63\
\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x2c\x20\x69\x6e\
\x74\x20\x72\x65\x74\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x66\
\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\x6e\
\x6f\x73\x6c\x65\x65\x70\0\x66\x65\x78\x69\x74\x2f\x5f\x5f\x78\x36\x34\x5f\x73\
\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\x29\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x0c\0\0\0\x01\0\0\x04\0\0\0\0\0\0\0\0\0\x66\x65\x78\x69\x74\x5f\x73\x6c\x2e\
\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\
\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\
\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x05\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\x61\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x77\0\0\0\xee\0\0\
\x40\x06\0\0\0\x01\0\0\0\x77\0\0\0\xee\0\0\x40\x21\0\0\0\x02\0\0\0\x77\0\0\0\
\xee\0\0\x40\x2a\0\0\0\x07\0\0\0\x77\0\0\0\xee\0\0\x40\x06\0\0\0\x08\0\0\0\x77\
\0\0\x01\x1c\0\0\x4c\x0c\0\0\0\x0d\0\0\0\x77\0\0\x01\x2b\0\0\x38\x05\0\0\0\x1a\
\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x5f\x66\x65\x6e\x74\x72\0\0\0\
\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x78\x36\x34\
\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x16\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\
\x01\0\x05\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x61\x21\0\0\0\0\0\0\
\x07\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\x77\0\0\0\xee\0\0\x68\x06\0\0\0\x01\0\0\0\x77\
\0\0\0\xee\0\0\x68\x21\0\0\0\x02\0\0\0\x77\0\0\0\xee\0\0\x68\x2a\0\0\0\x07\0\0\
\0\x77\0\0\0\xee\0\0\x68\x06\0\0\0\x08\0\0\0\x77\0\0\x01\x66\0\0\x74\x0b\0\0\0\
\x0d\0\0\0\x77\0\0\x01\x74\0\0\x60\x05\0\0\0\x1a\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\x61\x6e\x6f\
\x73\x6c\x65\x65\x70\x5f\x66\x65\x78\x69\x74\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x6e\x61\
\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\0\0";
	opts.insns_sz = 2000;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x14\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x84\0\0\0\0\xd5\x10\0\x01\0\
\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\
\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xbf\x07\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\x48\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\x44\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x38\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\x30\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\
\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x08\x30\xb7\x30\0\0\0\0\0\x1c\x85\0\0\0\0\
\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xd4\0\0\0\0\x63\xa7\xff\x78\0\0\0\0\
\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\x80\x63\x10\0\0\0\
\0\0\0\x61\x06\0\x20\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\x5c\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\x50\xb7\x30\0\0\0\0\0\x40\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\
\x70\xff\xc3\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\0\0\0\0\0\0\
\x79\x36\0\x18\0\0\0\0\x15\x30\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x90\xb7\x20\0\0\0\0\0\x0c\x85\0\0\0\0\0\0\x94\x18\x26\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xa8\x63\x10\0\
\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\xa0\x18\x16\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\xb0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x08\x90\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x08\xb8\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x02\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x08\xa8\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\
\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xa3\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\xc8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xc0\x7b\x10\0\0\0\0\0\0\x18\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\xd0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xb8\x7b\
\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\x48\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x0a\0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\x50\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x10\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x28\x7b\x10\0\0\0\0\0\0\
\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xc8\x63\x10\0\0\0\0\
\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xcc\x63\x10\0\0\
\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd0\x7b\x10\
\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x09\xf8\
\x63\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x30\xb7\x20\0\0\0\0\0\
\x14\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\
\0\0\0\0\xc5\x70\xff\x72\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x09\xb0\x63\
\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\
\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x09\xb0\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\
\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\x20\x61\x10\
\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\
\x70\xff\x60\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x0a\x48\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x40\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\x50\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x38\x7b\x10\
\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc8\x18\x16\0\0\0\0\0\0\0\0\0\
\0\0\0\x0b\x80\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xd0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x90\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xa8\x7b\x10\0\0\0\0\0\0\x61\
\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x48\x63\x10\0\0\0\0\0\0\
\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x4c\x63\x10\0\0\0\0\
\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x50\x7b\x10\0\0\
\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x78\x63\
\x10\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xb0\xb7\x20\0\0\0\0\0\x14\
\xb7\x30\0\0\0\0\0\x0c\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\
\0\0\xc5\x70\xff\x2e\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x30\x63\x07\0\
\x6c\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\
\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x30\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\0\0\0\
\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xa0\x61\x10\0\0\0\
\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\
\xff\x1c\0\0\0\0\x63\xa7\xff\x84\0\0\0\0\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x02\
\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\x80\0\0\0\0\x63\
\x60\0\x28\0\0\0\0\x61\x0a\xff\x84\0\0\0\0\x63\x60\0\x2c\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss =
		mmap(skel->bss, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.bss.map_fd, 0);
	return 0;
}

static inline struct fexit_sleep_lskel *
fexit_sleep_lskel__open_and_load(void)
{
	struct fexit_sleep_lskel *skel;

	skel = fexit_sleep_lskel__open();
	if (!skel)
		return NULL;
	if (fexit_sleep_lskel__load(skel)) {
		fexit_sleep_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __FEXIT_SLEEP_LSKEL_SKEL_H__ */
