/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_KSYMS_WEAK_LSKEL_SKEL_H__
#define __TEST_KSYMS_WEAK_LSKEL_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct test_ksyms_weak_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc data;
	} maps;
	struct {
		struct bpf_prog_desc pass_handler;
	} progs;
	struct {
		int pass_handler_fd;
	} links;
	struct test_ksyms_weak_lskel__data {
		int out__existing_typed;
		char __pad0[4];
		__u64 out__existing_typeless;
		__u64 out__non_existent_typeless;
		__u64 out__non_existent_typed;
	} *data;
};

static inline int
test_ksyms_weak_lskel__pass_handler__attach(struct test_ksyms_weak_lskel *skel)
{
	int prog_fd = skel->progs.pass_handler.prog_fd;
	int fd = bpf_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.pass_handler_fd = fd;
	return fd;
}

static inline int
test_ksyms_weak_lskel__attach(struct test_ksyms_weak_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : test_ksyms_weak_lskel__pass_handler__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
test_ksyms_weak_lskel__detach(struct test_ksyms_weak_lskel *skel)
{
	skel_closenz(skel->links.pass_handler_fd);
}
static void
test_ksyms_weak_lskel__destroy(struct test_ksyms_weak_lskel *skel)
{
	if (!skel)
		return;
	test_ksyms_weak_lskel__detach(skel);
	skel_closenz(skel->progs.pass_handler.prog_fd);
	munmap(skel->data, 4096);
	skel_closenz(skel->maps.data.map_fd);
	free(skel);
}
static inline struct test_ksyms_weak_lskel *
test_ksyms_weak_lskel__open(void)
{
	struct test_ksyms_weak_lskel *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->data =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->data == (void *) -1)
		goto cleanup;
	memcpy(skel->data, (void *)"\
\xff\xff\xff\xff\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff", 32);
	skel->maps.data.initial_value = (__u64)(long)skel->data;
	return skel;
cleanup:
	test_ksyms_weak_lskel__destroy(skel);
	return NULL;
}

static inline int
test_ksyms_weak_lskel__load(struct test_ksyms_weak_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 9832;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x10\x54\0\0\x10\x54\0\0\x0d\xbf\0\0\0\0\x02\0\0\0\0\0\0\
\x02\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\
\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\
\0\0\0\x16\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x2a\x08\0\0\0\0\0\0\x08\0\0\0\
\x30\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x43\x0e\0\0\0\0\0\0\x07\0\0\0\x01\0\0\
\0\x5a\x0e\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\x75\x0e\0\0\0\0\0\0\x07\0\0\0\x01\0\
\0\0\0\x0a\0\0\0\0\0\0\x0d\0\0\0\x8d\x04\0\0\x52\0\0\x12\0\0\0\0\x90\0\0\0\x0e\
\0\0\0\0\0\0\0\x97\0\0\0\x12\0\0\0\x20\0\0\0\xa2\0\0\0\x13\0\0\0\x40\0\0\0\xc0\
\0\0\0\x12\0\0\0\x80\0\0\0\xd1\0\0\0\x14\0\0\x01\0\0\0\0\xda\0\0\0\x12\0\0\x02\
\0\0\0\0\xec\0\0\0\x1a\0\0\x02\x20\0\0\0\xf7\0\0\0\x12\0\0\x02\x40\0\0\x01\x04\
\0\0\0\x23\0\0\x02\x80\0\0\x01\x10\0\0\0\x24\0\0\x08\0\0\0\x01\x14\0\0\0\x37\0\
\0\x28\0\0\0\x01\x17\0\0\0\x3e\0\0\x5d\x80\0\0\x01\x1a\0\0\0\x31\0\0\x61\0\0\0\
\x01\x2b\0\0\0\x32\0\0\x61\x80\0\0\x01\x3c\0\0\0\x12\0\0\x61\xc0\0\0\x01\x4f\0\
\0\0\x40\0\0\x62\0\0\0\x01\x54\0\0\0\x40\0\0\x62\x40\0\0\x01\x59\0\0\0\x40\0\0\
\x62\x80\0\0\x01\x5e\0\0\0\x13\0\0\x62\xc0\0\0\x01\x6b\0\0\0\x41\0\0\x63\0\0\0\
\x01\x73\0\0\0\x12\0\0\x63\x40\0\0\x01\x86\0\0\0\x23\0\0\x63\x80\0\0\x01\x8c\0\
\0\0\x23\0\0\x68\0\0\0\x01\x97\0\0\0\x23\0\0\x68\x40\0\0\x01\xa2\0\0\0\x13\0\0\
\x68\x80\0\0\x01\xb1\0\0\0\x1a\0\0\x68\xc0\0\0\x01\xbb\0\0\0\x23\0\0\x69\0\0\0\
\x01\xd5\0\0\0\x04\0\0\x69\x40\0\0\x01\xeb\0\0\0\x04\0\0\x69\x60\0\0\x01\xfc\0\
\0\0\x42\0\0\x69\x80\0\0\x01\xff\0\0\0\x43\0\0\x69\xc0\0\0\x02\x02\0\0\0\x13\0\
\0\x6a\0\0\0\x02\x0f\0\0\0\x13\0\0\x6a\x40\0\0\x02\x21\0\0\0\x44\0\0\x6a\x80\0\
\0\x02\x32\0\0\0\x45\0\0\x6a\xc0\0\0\x02\x44\0\0\0\x45\0\0\x6a\xc8\0\0\x02\x51\
\0\0\0\x13\0\0\x6b\0\0\0\x02\x62\0\0\0\x04\0\0\x6b\x40\0\0\x02\x71\0\0\0\x04\0\
\0\x6b\x60\0\0\x02\x7a\0\0\0\x46\0\0\x6b\x80\0\0\x02\x8e\0\0\0\x04\0\0\x6d\0\0\
\0\x02\x92\0\0\0\x04\0\0\x6d\x20\0\0\x02\x99\0\0\0\x31\0\0\x6d\x40\0\0\x02\xa3\
\0\0\0\x2c\0\0\x70\0\0\0\x02\xaa\0\0\0\x2c\0\0\x78\0\0\0\x02\xb1\0\0\0\x23\0\0\
\x80\0\0\0\x02\xbc\0\0\0\x23\0\0\x80\x40\0\0\x02\xc5\0\0\0\x13\0\0\x80\x80\0\0\
\x02\xd0\0\0\0\x23\0\0\x80\xc0\0\0\x02\xde\0\0\0\x23\0\0\x81\0\0\0\x02\xf4\0\0\
\0\x4b\0\0\x81\x40\0\0\x03\x01\0\0\0\x13\0\0\x81\x80\0\0\x03\x12\0\0\0\x2f\0\0\
\x81\xc0\0\0\x03\x23\0\0\0\x14\0\0\x82\0\0\0\x03\x2e\0\0\0\x4c\0\0\x83\0\0\0\
\x03\x3b\0\0\0\x4f\0\0\x85\x80\0\0\x03\x47\0\0\0\x57\0\0\x85\xc0\0\0\x03\x55\0\
\0\0\x08\0\0\x86\xc0\0\0\x03\x61\0\0\0\x12\0\0\x87\0\0\0\x03\x6b\0\0\0\x12\0\0\
\x87\x20\0\0\x03\x77\0\0\0\x12\0\0\x87\x40\0\0\x03\x84\0\0\0\x12\0\0\x87\x60\0\
\0\x03\x8f\0\0\0\x12\0\0\x87\x80\0\0\x03\x9a\0\0\0\x12\0\0\x87\xa0\0\0\x03\xa4\
\0\0\0\x12\0\0\x87\xc0\0\0\x03\xae\0\0\0\x46\0\0\x88\0\0\0\x03\xb8\0\0\0\x30\0\
\0\x89\x80\0\0\x03\xbd\0\0\0\x40\0\0\x89\xc0\0\0\x03\xc7\0\0\0\x12\0\0\x8a\0\0\
\0\x03\xd4\0\0\0\x12\0\0\x8a\x20\0\0\x03\xe3\0\0\0\x29\0\0\x8a\x40\0\0\x03\xed\
\0\0\0\x12\0\0\x8a\x80\0\0\x03\xfb\0\0\0\x12\0\0\x8a\xa0\0\0\x04\x09\0\0\0\x13\
\0\0\x8a\xc0\0\0\x04\x15\0\0\0\x12\0\0\x8b\0\0\0\x04\x2a\0\0\0\x12\0\0\x8b\x20\
\0\0\x04\x3d\0\0\0\x12\0\0\x8b\x40\0\0\x04\x57\0\0\0\x23\0\0\x8b\x80\0\0\x04\
\x6c\0\0\0\x13\0\0\x8b\xc0\0\0\x04\x79\0\0\0\x13\0\0\x8c\0\0\0\x04\x86\0\0\0\
\x13\0\0\x8c\x40\0\0\x04\x93\0\0\0\x13\0\0\x8c\x80\0\0\x04\xa0\x08\0\0\0\0\0\0\
\x0f\0\0\x04\xaf\x04\0\0\x01\0\0\0\x04\0\0\x04\xbc\0\0\0\x10\0\0\0\0\0\0\x04\
\xc5\x08\0\0\0\0\0\0\x11\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x04\xd5\0\0\0\x04\0\
\0\0\0\0\0\x04\xda\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x04\xe7\x01\0\0\0\0\0\0\
\x08\0\0\0\x40\0\0\x04\xf5\x08\0\0\0\0\0\0\x15\0\0\x05\x08\x04\0\0\x03\0\0\0\
\x20\0\0\x05\x1b\0\0\0\x16\0\0\0\0\0\0\x05\x20\0\0\0\x1f\0\0\0\x80\0\0\x05\x25\
\0\0\0\x22\0\0\0\xc0\0\0\x05\x2a\x04\0\0\x04\0\0\0\x10\0\0\x05\x3d\0\0\0\x17\0\
\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x40\0\0\x05\x43\0\0\0\x1c\0\0\0\x60\0\0\x05\x47\
\0\0\0\x1c\0\0\0\x70\0\0\x05\x4b\x04\0\0\x01\0\0\0\x08\0\0\x05\x56\0\0\0\x18\0\
\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x17\0\0\0\0\x05\0\0\x02\0\0\0\x04\0\0\x05\x5b\0\
\0\0\x12\0\0\0\0\0\0\x05\x63\0\0\0\x1a\0\0\0\0\0\0\x05\x6b\x08\0\0\0\0\0\0\x1b\
\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x05\x74\0\0\0\x04\0\0\0\0\0\0\x05\x7c\x08\0\
\0\0\0\0\0\x1d\0\0\x05\x80\x08\0\0\0\0\0\0\x1e\0\0\x05\x86\x01\0\0\0\0\0\0\x02\
\0\0\0\x10\0\0\x05\x95\x08\0\0\0\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x21\0\0\0\0\
\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\x05\xa5\
\x08\0\0\0\0\0\0\x07\0\0\x05\xa9\x04\0\0\x28\0\0\x04\0\0\0\x05\xb0\0\0\0\x25\0\
\0\0\0\0\0\0\x97\0\0\0\x12\0\0\0\x80\0\0\x05\xb5\0\0\0\x12\0\0\0\xa0\0\0\x05\
\xc2\0\0\0\x12\0\0\0\xc0\0\0\x05\xd2\0\0\0\x12\0\0\0\xe0\0\0\x05\xe4\0\0\0\x23\
\0\0\x01\0\0\0\x05\xef\0\0\0\x23\0\0\x01\x40\0\0\x05\xfc\0\0\0\x12\0\0\x01\x80\
\0\0\x06\x0a\0\0\0\x23\0\0\x01\xc0\0\0\x06\x1a\0\0\0\x28\0\0\x02\0\0\0\x01\x4f\
\0\0\0\x2b\0\0\x02\x80\0\0\x05\x56\0\0\0\x2b\0\0\x02\xc0\0\0\x06\x29\0\0\0\x2b\
\0\0\x03\0\0\0\x06\x2e\0\0\0\x2b\0\0\x03\x40\0\0\x06\x33\0\0\0\x12\0\0\x03\x80\
\0\0\x06\x42\0\0\0\x2c\0\0\x08\0\0\0\x06\x46\0\0\0\x2e\0\0\x10\0\0\0\x06\x4e\0\
\0\0\x13\0\0\x18\0\0\0\x06\x62\0\0\0\x2f\0\0\x18\x40\0\0\x06\x6c\0\0\0\x2f\0\0\
\x18\x80\0\0\x06\x7e\0\0\0\x13\0\0\x18\xc0\0\0\x06\x85\0\0\0\x23\0\0\x19\0\0\0\
\x06\x98\0\0\0\x2b\0\0\x19\x40\0\0\0\x8d\0\0\0\x30\0\0\x19\x80\0\0\x06\xa4\0\0\
\0\x04\0\0\x19\xc0\0\0\x01\x1a\0\0\0\x31\0\0\x1a\0\0\0\x06\xac\0\0\0\x33\0\0\
\x1a\x80\0\0\x01\x54\0\0\0\x04\0\0\x1a\xc0\0\0\x06\xaf\0\0\0\x04\0\0\x1a\xe0\0\
\0\x06\xbf\0\0\0\x34\0\0\x1b\0\0\0\x06\xd1\0\0\0\x23\0\0\x1b\x40\0\0\x06\xe1\0\
\0\0\x23\0\0\x1b\x80\0\0\x06\xf6\0\0\0\x23\0\0\x1b\xc0\0\0\x07\x10\0\0\0\x04\0\
\0\x1c\0\0\0\x07\x1a\0\0\0\x04\0\0\x1c\x20\0\0\x07\x29\0\0\0\x31\0\0\x1c\x40\0\
\0\x04\x6c\0\0\0\x13\0\0\x1c\xc0\0\0\x04\x79\0\0\0\x13\0\0\x1d\0\0\0\x04\x86\0\
\0\0\x13\0\0\x1d\x40\0\0\x04\x93\0\0\0\x13\0\0\x1d\x80\0\0\x07\x38\x04\0\0\x02\
\0\0\0\x10\0\0\x07\x44\0\0\0\x13\0\0\0\0\0\0\x07\x4b\0\0\0\x26\0\0\0\x40\0\0\
\x07\x56\x08\0\0\0\0\0\0\x27\0\0\x07\x5a\x08\0\0\0\0\0\0\x12\0\0\x07\x60\x04\0\
\0\x02\0\0\0\x10\0\0\x07\x6f\0\0\0\x29\0\0\0\0\0\0\x07\x77\0\0\0\x2a\0\0\0\x40\
\0\0\x07\x6f\x04\0\0\x01\0\0\0\x08\0\0\x07\x83\0\0\0\x2a\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\x4e\0\0\0\0\x02\0\0\0\0\0\0\x66\0\0\x07\x8b\x04\0\0\x0b\0\0\x01\0\0\
\0\x07\x95\0\0\0\x23\0\0\0\0\0\0\x07\xa6\0\0\0\x23\0\0\0\x40\0\0\x07\xaf\0\0\0\
\x23\0\0\0\x80\0\0\x07\xbc\0\0\0\x26\0\0\0\xc0\0\0\x07\xc5\0\0\0\x26\0\0\0\xe0\
\0\0\x07\xd4\0\0\0\x13\0\0\x01\0\0\0\x07\xdd\0\0\0\x13\0\0\x01\x40\0\0\x07\xea\
\0\0\0\x13\0\0\x01\x80\0\0\x07\xf3\0\0\0\x2d\0\0\x01\xc0\0\0\x04\x6c\0\0\0\x13\
\0\0\x02\0\0\0\x04\x79\0\0\0\x13\0\0\x02\x40\0\0\x07\xf3\x04\0\0\x02\0\0\0\x08\
\0\0\x07\xfc\0\0\0\x12\0\0\0\0\0\0\x08\x05\0\0\0\x12\0\0\0\x20\0\0\0\0\x04\0\0\
\x05\0\0\x01\0\0\0\x04\xd5\0\0\0\x0e\0\0\0\0\0\0\x08\x0a\0\0\0\x04\0\0\0\x20\0\
\0\x07\xd4\0\0\0\x13\0\0\0\x40\0\0\x07\xea\0\0\0\x13\0\0\0\x80\0\0\x07\xdd\0\0\
\0\x13\0\0\0\xc0\0\0\x08\x0d\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\0\0\x02\0\0\0\
\0\0\0\x0d\0\0\x08\x12\x04\0\0\x02\0\0\0\x10\0\0\x05\x56\0\0\0\x32\0\0\0\0\0\0\
\x08\x1c\0\0\0\x32\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x31\0\0\0\0\x02\0\0\0\0\0\
\0\x67\0\0\x08\x21\x08\0\0\0\0\0\0\x35\0\0\x08\x25\x08\0\0\0\0\0\0\x36\0\0\x08\
\x2b\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x08\x35\x04\0\0\x0f\0\0\x06\xb0\0\0\
\x08\x3b\0\0\0\x38\0\0\0\0\0\0\x08\x42\0\0\0\x12\0\0\x32\x80\0\0\x08\x50\0\0\0\
\x12\0\0\x32\xa0\0\0\x08\x5e\0\0\0\x3c\0\0\x32\xc0\0\0\x08\x6b\0\0\0\x12\0\0\
\x33\0\0\0\x08\x7b\0\0\0\x12\0\0\x33\x20\0\0\x08\x87\0\0\0\x04\0\0\x33\x40\0\0\
\x08\x92\0\0\0\x3d\0\0\x33\x80\0\0\x08\xa1\0\0\0\x04\0\0\x34\0\0\0\x08\xab\0\0\
\0\x04\0\0\x34\x20\0\0\x08\xb8\0\0\0\x23\0\0\x34\x40\0\0\x08\xc0\0\0\0\x23\0\0\
\x34\x80\0\0\x08\xcb\0\0\0\x0e\0\0\x34\xc0\0\0\x04\x6c\0\0\0\x13\0\0\x35\0\0\0\
\x04\x79\0\0\0\x13\0\0\x35\x40\0\0\x08\xdb\x04\0\0\x02\0\0\x06\x50\0\0\x08\xe9\
\0\0\0\x39\0\0\0\0\0\0\x08\xf0\0\0\0\x3b\0\0\0\x80\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x13\0\0\0\x3a\0\0\0\x02\0\0\x08\xf6\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x3a\0\0\0\x64\0\0\0\0\x04\0\0\x02\0\0\0\x08\
\0\0\x01\x4f\0\0\0\x04\0\0\0\0\0\0\x05\x56\0\0\0\x04\0\0\0\x20\0\0\x09\x0a\x04\
\0\0\x01\0\0\0\x10\0\0\x09\x15\0\0\0\x31\0\0\0\0\0\0\x09\x1f\x04\0\0\x0c\0\0\0\
\x70\0\0\x09\x25\0\0\0\x28\0\0\0\0\0\0\x09\x2a\0\0\0\x12\0\0\0\x80\0\0\x09\x38\
\0\0\0\x3f\0\0\0\xc0\0\0\x09\x44\0\0\0\x12\0\0\x01\x40\0\0\x08\x87\0\0\0\x04\0\
\0\x01\x60\0\0\x09\x54\0\0\0\x28\0\0\x01\x80\0\0\x09\x6b\0\0\0\x23\0\0\x02\0\0\
\0\x09\x76\0\0\0\x23\0\0\x02\x40\0\0\x09\x7e\0\0\0\x23\0\0\x02\x80\0\0\x09\x87\
\0\0\0\x23\0\0\x02\xc0\0\0\x04\x6c\0\0\0\x13\0\0\x03\0\0\0\x04\x79\0\0\0\x13\0\
\0\x03\x40\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\x01\x4f\0\0\0\x23\0\0\0\0\0\0\x05\
\x56\0\0\0\x23\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x68\0\0\0\0\x02\0\0\0\0\0\0\
\x63\0\0\0\0\x02\0\0\0\0\0\0\x64\0\0\0\0\x02\0\0\0\0\0\0\x65\0\0\0\0\x02\0\0\0\
\0\0\0\x60\0\0\x09\x90\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\x09\x9e\x04\0\0\x05\0\
\0\0\x30\0\0\x09\xac\0\0\0\x31\0\0\0\0\0\0\x09\xb1\0\0\0\x47\0\0\0\x80\0\0\x09\
\xb4\0\0\0\x13\0\0\0\xc0\0\0\x09\xbb\0\0\0\x22\0\0\x01\0\0\0\x09\xbf\0\0\0\x4a\
\0\0\x01\x40\0\0\x09\xc4\x08\0\0\0\0\0\0\x48\0\0\0\0\x02\0\0\0\0\0\0\x49\0\0\0\
\0\x0d\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x22\0\0\0\0\x02\0\0\0\0\0\0\x61\0\0\x09\
\xd2\x04\0\0\x01\0\0\0\x08\0\0\x09\xda\0\0\0\x40\0\0\0\0\0\0\x09\xdf\x04\0\0\
\x0a\0\0\0\x50\0\0\x05\x1b\0\0\0\x4d\0\0\0\0\0\0\x09\xe7\0\0\0\x4f\0\0\x01\0\0\
\0\x09\xf4\0\0\0\x50\0\0\x01\x40\0\0\x09\xfd\0\0\0\x54\0\0\x01\x80\0\0\x0a\x02\
\0\0\0\x55\0\0\x01\xc0\0\0\x0a\x08\0\0\0\x55\0\0\x01\xc8\0\0\x0a\x0f\0\0\0\x55\
\0\0\x01\xd0\0\0\x0a\x17\0\0\0\x55\0\0\x01\xd8\0\0\x04\x6c\0\0\0\x13\0\0\x02\0\
\0\0\x04\x79\0\0\0\x13\0\0\x02\x40\0\0\x0a\x1f\x04\0\0\x02\0\0\0\x20\0\0\x05\
\x1b\0\0\0\x4e\0\0\0\0\0\0\x0a\x2f\0\0\0\x4f\0\0\0\xc0\0\0\x07\x83\x04\0\0\x03\
\0\0\0\x18\0\0\x0a\x37\0\0\0\x13\0\0\0\0\0\0\x0a\x49\0\0\0\x2a\0\0\0\x40\0\0\
\x0a\x52\0\0\0\x2a\0\0\0\x80\0\0\x0a\x5a\x08\0\0\0\0\0\0\x34\0\0\0\0\x02\0\0\0\
\0\0\0\x51\0\0\0\0\x0d\0\0\x01\0\0\0\x52\0\0\0\0\0\0\0\x53\0\0\x0a\x62\x06\0\0\
\x02\0\0\0\x04\0\0\x0a\x72\0\0\0\0\0\0\x0a\x84\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\
\0\x4c\0\0\0\0\x02\0\0\0\0\0\0\x62\0\0\x0a\x94\x08\0\0\0\0\0\0\x56\0\0\x0a\x97\
\x08\0\0\0\0\0\0\x45\0\0\x0a\x9c\x04\0\0\x04\0\0\0\x20\0\0\x0a\xa7\0\0\0\x13\0\
\0\0\0\0\0\x0a\xae\0\0\0\x08\0\0\0\x40\0\0\x0a\xb8\0\0\0\x08\0\0\0\x80\0\0\x0a\
\xc5\0\0\0\x08\0\0\0\xc0\0\0\x0a\xd1\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x0a\xdb\
\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x0a\xeb\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\0\x0a\0\0\0\0\0\0\x04\0\0\x0a\xfa\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x0b\x09\
\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x3a\
\0\0\0\x04\0\0\x0b\x0e\x0e\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\x0b\x17\x07\0\0\0\0\0\
\0\0\0\0\x0b\x25\x07\0\0\0\0\0\0\0\0\0\x0b\x33\x07\0\0\0\0\0\0\0\0\0\x0b\x46\
\x07\0\0\0\0\0\0\0\0\0\x0b\x50\x07\0\0\0\0\0\0\0\0\0\x0b\x5c\x07\0\0\0\0\0\0\0\
\0\0\x0b\x69\x07\0\0\0\0\0\0\0\0\0\x0b\x76\x07\0\0\0\0\0\0\0\0\0\x0b\x81\x07\0\
\0\0\0\0\0\0\0\0\x0d\x99\x0f\0\0\x04\0\0\0\x20\0\0\0\x06\0\0\0\0\0\0\0\x04\0\0\
\0\x09\0\0\0\x08\0\0\0\x08\0\0\0\x0a\0\0\0\x10\0\0\0\x08\0\0\0\x0b\0\0\0\x18\0\
\0\0\x08\0\0\x0d\x9f\x0f\0\0\x01\0\0\0\x04\0\0\0\x5f\0\0\0\0\0\0\0\x04\0\0\x0d\
\xa7\x0f\0\0\x04\0\0\0\x10\0\0\0\x58\0\0\0\0\0\0\0\x04\0\0\0\x59\0\0\0\x04\0\0\
\0\x04\0\0\0\x5a\0\0\0\x08\0\0\0\x04\0\0\0\x5c\0\0\0\x0c\0\0\0\x04\0\x63\x74\
\x78\0\x69\x6e\x74\0\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x6f\x75\
\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\x64\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\
\x65\x6c\x65\x73\x73\0\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\
\x65\x6e\x74\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\0\x6f\x75\x74\x5f\x5f\x6e\x6f\
\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x64\0\x72\x71\0\
\x5f\x5f\x6c\x6f\x63\x6b\0\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6c\x61\
\x73\x74\x5f\x62\x6c\x6f\x63\x6b\x65\x64\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\
\x61\x74\x65\x5f\x74\x69\x63\x6b\0\x68\x61\x73\x5f\x62\x6c\x6f\x63\x6b\x65\x64\
\x5f\x6c\x6f\x61\x64\0\x6e\x6f\x68\x7a\x5f\x63\x73\x64\0\x6e\x6f\x68\x7a\x5f\
\x74\x69\x63\x6b\x5f\x73\x74\x6f\x70\x70\x65\x64\0\x6e\x6f\x68\x7a\x5f\x66\x6c\
\x61\x67\x73\0\x74\x74\x77\x75\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x6e\x72\x5f\
\x73\x77\x69\x74\x63\x68\x65\x73\0\x63\x66\x73\0\x72\x74\0\x64\x6c\0\x6c\x65\
\x61\x66\x5f\x63\x66\x73\x5f\x72\x71\x5f\x6c\x69\x73\x74\0\x74\x6d\x70\x5f\x61\
\x6c\x6f\x6e\x65\x5f\x62\x72\x61\x6e\x63\x68\0\x6e\x72\x5f\x75\x6e\x69\x6e\x74\
\x65\x72\x72\x75\x70\x74\x69\x62\x6c\x65\0\x63\x75\x72\x72\0\x69\x64\x6c\x65\0\
\x73\x74\x6f\x70\0\x6e\x65\x78\x74\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x70\x72\
\x65\x76\x5f\x6d\x6d\0\x63\x6c\x6f\x63\x6b\x5f\x75\x70\x64\x61\x74\x65\x5f\x66\
\x6c\x61\x67\x73\0\x63\x6c\x6f\x63\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x74\x61\x73\
\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x70\x65\x6c\x74\0\x6c\x6f\x73\x74\x5f\x69\x64\
\x6c\x65\x5f\x74\x69\x6d\x65\0\x6e\x72\x5f\x69\x6f\x77\x61\x69\x74\0\x6c\x61\
\x73\x74\x5f\x73\x65\x65\x6e\x5f\x6e\x65\x65\x64\x5f\x72\x65\x73\x63\x68\x65\
\x64\x5f\x6e\x73\0\x74\x69\x63\x6b\x73\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x72\
\x65\x73\x63\x68\x65\x64\0\x6d\x65\x6d\x62\x61\x72\x72\x69\x65\x72\x5f\x73\x74\
\x61\x74\x65\0\x72\x64\0\x73\x64\0\x63\x70\x75\x5f\x63\x61\x70\x61\x63\x69\x74\
\x79\0\x63\x70\x75\x5f\x63\x61\x70\x61\x63\x69\x74\x79\x5f\x6f\x72\x69\x67\0\
\x62\x61\x6c\x61\x6e\x63\x65\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x6e\x6f\x68\
\x7a\x5f\x69\x64\x6c\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x69\x64\x6c\x65\x5f\
\x62\x61\x6c\x61\x6e\x63\x65\0\x6d\x69\x73\x66\x69\x74\x5f\x74\x61\x73\x6b\x5f\
\x6c\x6f\x61\x64\0\x61\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\
\x70\x75\x73\x68\x5f\x63\x70\x75\0\x61\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\x61\
\x6e\x63\x65\x5f\x77\x6f\x72\x6b\0\x63\x70\x75\0\x6f\x6e\x6c\x69\x6e\x65\0\x63\
\x66\x73\x5f\x74\x61\x73\x6b\x73\0\x61\x76\x67\x5f\x72\x74\0\x61\x76\x67\x5f\
\x64\x6c\0\x69\x64\x6c\x65\x5f\x73\x74\x61\x6d\x70\0\x61\x76\x67\x5f\x69\x64\
\x6c\x65\0\x77\x61\x6b\x65\x5f\x73\x74\x61\x6d\x70\0\x77\x61\x6b\x65\x5f\x61\
\x76\x67\x5f\x69\x64\x6c\x65\0\x6d\x61\x78\x5f\x69\x64\x6c\x65\x5f\x62\x61\x6c\
\x61\x6e\x63\x65\x5f\x63\x6f\x73\x74\0\x68\x6f\x74\x70\x6c\x75\x67\x5f\x77\x61\
\x69\x74\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\0\
\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x61\x63\x74\x69\x76\x65\0\x68\x72\x74\
\x69\x63\x6b\x5f\x63\x73\x64\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\x72\
\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\0\x72\x71\x5f\x73\x63\x68\x65\
\x64\x5f\x69\x6e\x66\x6f\0\x72\x71\x5f\x63\x70\x75\x5f\x74\x69\x6d\x65\0\x79\
\x6c\x64\x5f\x63\x6f\x75\x6e\x74\0\x73\x63\x68\x65\x64\x5f\x63\x6f\x75\x6e\x74\
\0\x73\x63\x68\x65\x64\x5f\x67\x6f\x69\x64\x6c\x65\0\x74\x74\x77\x75\x5f\x63\
\x6f\x75\x6e\x74\0\x74\x74\x77\x75\x5f\x6c\x6f\x63\x61\x6c\0\x6e\x72\x5f\x70\
\x69\x6e\x6e\x65\x64\0\x70\x75\x73\x68\x5f\x62\x75\x73\x79\0\x70\x75\x73\x68\
\x5f\x77\x6f\x72\x6b\0\x63\x6f\x72\x65\0\x63\x6f\x72\x65\x5f\x70\x69\x63\x6b\0\
\x63\x6f\x72\x65\x5f\x65\x6e\x61\x62\x6c\x65\x64\0\x63\x6f\x72\x65\x5f\x73\x63\
\x68\x65\x64\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x74\x72\x65\x65\0\x63\x6f\
\x72\x65\x5f\x74\x61\x73\x6b\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x70\x69\x63\
\x6b\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x63\x6f\x6f\x6b\x69\x65\0\x63\x6f\
\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x63\x6f\x75\x6e\x74\0\x63\
\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\0\x63\x6f\
\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x6f\x63\x63\x75\x70\x61\
\x74\x69\x6f\x6e\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\
\x73\x74\x61\x72\x74\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x31\0\x72\
\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x32\0\x72\x68\x5f\x72\x65\x73\x65\x72\
\x76\x65\x64\x33\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x34\0\x72\x61\
\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\
\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\
\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\0\x63\x61\x6c\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\x61\x5f\
\x74\0\x5f\x5f\x63\x61\x6c\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\x61\
\0\x6e\x6f\x64\x65\0\x66\x75\x6e\x63\0\x69\x6e\x66\x6f\0\x5f\x5f\x63\x61\x6c\
\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x6e\x6f\x64\x65\0\x6c\x6c\x69\x73\x74\0\
\x73\x72\x63\0\x64\x73\x74\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x6e\x65\
\x78\x74\0\x75\x5f\x66\x6c\x61\x67\x73\0\x61\x5f\x66\x6c\x61\x67\x73\0\x61\x74\
\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x75\x31\x36\0\x5f\x5f\
\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x73\
\x6d\x70\x5f\x63\x61\x6c\x6c\x5f\x66\x75\x6e\x63\x5f\x74\0\x75\x36\x34\0\x63\
\x66\x73\x5f\x72\x71\0\x6c\x6f\x61\x64\0\x68\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\
\x69\x6e\x67\0\x69\x64\x6c\x65\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\
\x69\x64\x6c\x65\x5f\x68\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x65\x78\
\x65\x63\x5f\x63\x6c\x6f\x63\x6b\0\x6d\x69\x6e\x5f\x76\x72\x75\x6e\x74\x69\x6d\
\x65\0\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\0\x6d\x69\x6e\x5f\
\x76\x72\x75\x6e\x74\x69\x6d\x65\x5f\x66\x69\0\x74\x61\x73\x6b\x73\x5f\x74\x69\
\x6d\x65\x6c\x69\x6e\x65\0\x6c\x61\x73\x74\0\x73\x6b\x69\x70\0\x6e\x72\x5f\x73\
\x70\x72\x65\x61\x64\x5f\x6f\x76\x65\x72\0\x61\x76\x67\0\x72\x65\x6d\x6f\x76\
\x65\x64\0\x74\x67\x5f\x6c\x6f\x61\x64\x5f\x61\x76\x67\x5f\x63\x6f\x6e\x74\x72\
\x69\x62\0\x70\x72\x6f\x70\x61\x67\x61\x74\x65\0\x70\x72\x6f\x70\x5f\x72\x75\
\x6e\x6e\x61\x62\x6c\x65\x5f\x73\x75\x6d\0\x68\x5f\x6c\x6f\x61\x64\0\x6c\x61\
\x73\x74\x5f\x68\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\0\x68\x5f\x6c\
\x6f\x61\x64\x5f\x6e\x65\x78\x74\0\x6f\x6e\x5f\x6c\x69\x73\x74\0\x74\x67\0\x72\
\x75\x6e\x74\x69\x6d\x65\x5f\x65\x6e\x61\x62\x6c\x65\x64\0\x72\x75\x6e\x74\x69\
\x6d\x65\x5f\x72\x65\x6d\x61\x69\x6e\x69\x6e\x67\0\x74\x68\x72\x6f\x74\x74\x6c\
\x65\x64\x5f\x63\x6c\x6f\x63\x6b\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\
\x6c\x6f\x63\x6b\x5f\x74\x61\x73\x6b\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\
\x63\x6c\x6f\x63\x6b\x5f\x74\x61\x73\x6b\x5f\x74\x69\x6d\x65\0\x74\x68\x72\x6f\
\x74\x74\x6c\x65\x64\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x5f\x63\x6f\x75\x6e\x74\
\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x6c\x69\x73\x74\0\x6c\x6f\x61\x64\
\x5f\x77\x65\x69\x67\x68\x74\0\x77\x65\x69\x67\x68\x74\0\x69\x6e\x76\x5f\x77\
\x65\x69\x67\x68\x74\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x72\x62\x5f\x72\x6f\
\x6f\x74\x5f\x63\x61\x63\x68\x65\x64\0\x72\x62\x5f\x72\x6f\x6f\x74\0\x72\x62\
\x5f\x6c\x65\x66\x74\x6d\x6f\x73\x74\0\x72\x62\x5f\x6e\x6f\x64\x65\0\x73\x63\
\x68\x65\x64\x5f\x61\x76\x67\0\x6c\x61\x73\x74\x5f\x75\x70\x64\x61\x74\x65\x5f\
\x74\x69\x6d\x65\0\x6c\x6f\x61\x64\x5f\x73\x75\x6d\0\x72\x75\x6e\x6e\x61\x62\
\x6c\x65\x5f\x73\x75\x6d\0\x75\x74\x69\x6c\x5f\x73\x75\x6d\0\x70\x65\x72\x69\
\x6f\x64\x5f\x63\x6f\x6e\x74\x72\x69\x62\0\x6c\x6f\x61\x64\x5f\x61\x76\x67\0\
\x72\x75\x6e\x6e\x61\x62\x6c\x65\x5f\x61\x76\x67\0\x75\x74\x69\x6c\x5f\x61\x76\
\x67\0\x75\x74\x69\x6c\x5f\x65\x73\x74\0\x65\x6e\x71\x75\x65\x75\x65\x64\0\x65\
\x77\x6d\x61\0\x6e\x72\0\x6c\x6f\x6e\x67\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\
\0\x70\x72\x65\x76\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x72\x74\x5f\x72\x71\0\x61\x63\x74\x69\x76\x65\0\x72\x74\x5f\
\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x72\x72\x5f\x6e\x72\x5f\x72\x75\x6e\
\x6e\x69\x6e\x67\0\x68\x69\x67\x68\x65\x73\x74\x5f\x70\x72\x69\x6f\0\x72\x74\
\x5f\x6e\x72\x5f\x6d\x69\x67\x72\x61\x74\x6f\x72\x79\0\x72\x74\x5f\x6e\x72\x5f\
\x74\x6f\x74\x61\x6c\0\x6f\x76\x65\x72\x6c\x6f\x61\x64\x65\x64\0\x70\x75\x73\
\x68\x61\x62\x6c\x65\x5f\x74\x61\x73\x6b\x73\0\x72\x74\x5f\x71\x75\x65\x75\x65\
\x64\0\x72\x74\x5f\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\0\x72\x74\x5f\x74\x69\
\x6d\x65\0\x72\x74\x5f\x72\x75\x6e\x74\x69\x6d\x65\0\x72\x74\x5f\x72\x75\x6e\
\x74\x69\x6d\x65\x5f\x6c\x6f\x63\x6b\0\x72\x74\x5f\x70\x72\x69\x6f\x5f\x61\x72\
\x72\x61\x79\0\x62\x69\x74\x6d\x61\x70\0\x71\x75\x65\x75\x65\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x6c\x69\x73\
\x74\x5f\x68\x65\x61\x64\0\x6e\x6f\x64\x65\x5f\x6c\x69\x73\x74\0\x64\x6c\x5f\
\x72\x71\0\x72\x6f\x6f\x74\0\x64\x6c\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\
\x67\0\x65\x61\x72\x6c\x69\x65\x73\x74\x5f\x64\x6c\0\x64\x6c\x5f\x6e\x72\x5f\
\x6d\x69\x67\x72\x61\x74\x6f\x72\x79\0\x70\x75\x73\x68\x61\x62\x6c\x65\x5f\x64\
\x6c\x5f\x74\x61\x73\x6b\x73\x5f\x72\x6f\x6f\x74\0\x72\x75\x6e\x6e\x69\x6e\x67\
\x5f\x62\x77\0\x74\x68\x69\x73\x5f\x62\x77\0\x65\x78\x74\x72\x61\x5f\x62\x77\0\
\x62\x77\x5f\x72\x61\x74\x69\x6f\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x77\x6f\x72\x6b\0\x6c\x69\x73\
\x74\0\x66\x6e\0\x63\x61\x6c\x6c\x65\x72\0\x61\x72\x67\0\x64\x6f\x6e\x65\0\x63\
\x70\x75\x5f\x73\x74\x6f\x70\x5f\x66\x6e\x5f\x74\0\x72\x63\x75\x77\x61\x69\x74\
\0\x74\x61\x73\x6b\0\x68\x72\x74\x69\x6d\x65\x72\0\x5f\x73\x6f\x66\x74\x65\x78\
\x70\x69\x72\x65\x73\0\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x62\x61\x73\x65\0\x73\
\x74\x61\x74\x65\0\x69\x73\x5f\x72\x65\x6c\0\x69\x73\x5f\x73\x6f\x66\x74\0\x69\
\x73\x5f\x68\x61\x72\x64\0\x74\x69\x6d\x65\x72\x71\x75\x65\x75\x65\x5f\x6e\x6f\
\x64\x65\0\x65\x78\x70\x69\x72\x65\x73\0\x5f\x5f\x72\x62\x5f\x70\x61\x72\x65\
\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\0\x72\x62\x5f\x72\x69\x67\x68\x74\0\x72\x62\
\x5f\x6c\x65\x66\x74\0\x6b\x74\x69\x6d\x65\x5f\x74\0\x68\x72\x74\x69\x6d\x65\
\x72\x5f\x72\x65\x73\x74\x61\x72\x74\0\x48\x52\x54\x49\x4d\x45\x52\x5f\x4e\x4f\
\x52\x45\x53\x54\x41\x52\x54\0\x48\x52\x54\x49\x4d\x45\x52\x5f\x52\x45\x53\x54\
\x41\x52\x54\0\x75\x38\0\x5f\x5f\x75\x38\0\x73\x63\x68\x65\x64\x5f\x69\x6e\x66\
\x6f\0\x70\x63\x6f\x75\x6e\x74\0\x72\x75\x6e\x5f\x64\x65\x6c\x61\x79\0\x6c\x61\
\x73\x74\x5f\x61\x72\x72\x69\x76\x61\x6c\0\x6c\x61\x73\x74\x5f\x71\x75\x65\x75\
\x65\x64\0\x72\x75\x6e\x71\x75\x65\x75\x65\x73\0\x62\x70\x66\x5f\x70\x72\x6f\
\x67\x5f\x61\x63\x74\x69\x76\x65\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\x31\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x5f\x68\x65\x61\x64\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x64\x6f\x6e\x65\
\0\x68\x72\x74\x69\x6d\x65\x72\x5f\x63\x6c\x6f\x63\x6b\x5f\x62\x61\x73\x65\0\
\x6d\x6d\x5f\x73\x74\x72\x75\x63\x74\0\x72\x6f\x6f\x74\x5f\x64\x6f\x6d\x61\x69\
\x6e\0\x73\x63\x68\x65\x64\x5f\x64\x6f\x6d\x61\x69\x6e\0\x73\x63\x68\x65\x64\
\x5f\x65\x6e\x74\x69\x74\x79\0\x74\x61\x73\x6b\x5f\x67\x72\x6f\x75\x70\0\x74\
\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x33\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x33\x2e\x65\x6c\x39\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x6b\x73\x79\x6d\x73\x5f\x77\x65\x61\x6b\x2e\x63\0\x69\
\x6e\x74\x20\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\x28\x63\x6f\x6e\
\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x72\x71\x20\x3d\x20\
\x28\x73\x74\x72\x75\x63\x74\x20\x72\x71\x20\x2a\x29\x62\x70\x66\x5f\x70\x65\
\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x72\x75\x6e\x71\x75\x65\x75\x65\
\x73\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x72\x71\x29\0\x09\x09\x6f\x75\
\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\x64\x20\x3d\
\x20\x30\x3b\0\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\
\x6e\x74\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\x20\x3d\x20\x28\x5f\x5f\x75\x36\
\x34\x29\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\x3b\0\x09\
\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\x6c\
\x65\x73\x73\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\x70\
\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\x3b\0\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\
\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x64\x20\x3d\x20\
\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\x32\x3b\0\x09\x69\x66\x20\x28\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\
\x66\x6f\x70\x73\x32\x29\x20\x2f\x2a\x20\x63\x61\x6e\x27\x74\x20\x68\x61\x70\
\x70\x65\x6e\x20\x2a\x2f\0\x09\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\
\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x64\x20\x3d\x20\x28\x5f\x5f\x75\
\x36\x34\x29\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\
\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x2c\x20\x30\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x2e\x64\x61\x74\x61\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x72\x61\x77\x5f\x74\x70\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x1e\x2b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x20\0\0\0\x01\
\0\0\x04\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x5f\x6b\x73\x79\x2e\x64\x61\x74\x61\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\0\xff\xff\xff\xff\0\0\0\0\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xb7\x60\0\0\0\0\0\0\x18\x13\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x15\0\0\x03\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x16\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\
\0\0\0\0\0\0\x18\x66\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x18\x13\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x7b\x61\0\0\0\0\0\0\x15\x10\0\x05\0\0\0\0\x18\x13\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb7\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x99\x7b\x60\0\0\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x0b\x8d\0\0\x0c\x08\0\
\0\x88\0\0\0\0\x01\0\0\x0b\x8d\0\0\x0c\x2a\0\0\x9c\x14\0\0\0\x05\0\0\x0b\x8d\0\
\0\x0c\x5d\0\0\xa0\x06\0\0\0\x06\0\0\x0b\x8d\0\0\x0c\x66\0\0\xa4\x17\0\0\0\x09\
\0\0\x0b\x8d\0\0\x0c\x81\0\0\xb4\x1d\0\0\0\x0e\0\0\x0b\x8d\0\0\x0c\xb7\0\0\xa8\
\x19\0\0\0\x13\0\0\x0b\x8d\0\0\x0c\xea\0\0\xc0\x1a\0\0\0\x18\0\0\x0b\x8d\0\0\
\x0d\x1d\0\0\xc8\x06\0\0\0\x19\0\0\x0b\x8d\0\0\x0d\x46\0\0\xcc\x24\0\0\0\x1d\0\
\0\x0b\x8d\0\0\x0d\x46\0\0\xcc\x1b\0\0\0\x1e\0\0\x0b\x8d\0\0\x0d\x8e\0\0\xd4\
\x02\0\0\0\x11\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\
\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x75\x6e\x71\
\x75\x65\x75\x65\x73\0\0\0\0\0\0\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\x31\0\0\0\0\0\0\0\0\0\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\
\x74\x69\x76\x65\0\0\0\0\0\0\0\0\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\
\x70\x73\x32\0\0";
	opts.insns_sz = 2088;
	opts.insns = (void *)"\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x11\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x23\x48\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x23\x44\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x23\x38\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\x05\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x23\x30\x7b\x10\0\0\0\0\0\0\xb7\x10\
\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x23\x30\xb7\x30\0\0\0\0\0\x1c\
\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xd7\0\0\0\0\x63\xa7\xff\
\x78\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x23\x80\
\x63\x10\0\0\0\0\0\0\x61\x06\0\x20\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x23\x5c\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\
\0\0\0\0\0\0\0\0\0\x23\x50\xb7\x30\0\0\0\0\0\x40\x85\0\0\0\0\0\0\xa6\xbf\x70\0\
\0\0\0\0\0\xc5\x70\xff\xc6\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\
\0\0\0\0\0\0\x79\x36\0\x18\0\0\0\0\x15\x30\0\x04\0\0\0\0\x18\x16\0\0\0\0\0\0\0\
\0\0\0\0\0\x23\x90\xb7\x20\0\0\0\0\0\x20\x85\0\0\0\0\0\0\x94\x18\x26\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x23\xb8\
\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x23\xb0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x23\xc0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x23\
\x90\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x23\xc8\x7b\x10\0\0\0\0\0\0\xb7\x10\0\0\0\
\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x23\xb8\xb7\x30\0\0\0\0\0\x20\x85\0\0\
\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xa6\0\0\0\0\x18\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\x23\xd8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x25\xa8\x7b\x10\0\0\0\0\0\0\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x23\xe0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x25\
\xa0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x24\xe0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x25\xe8\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\x24\xe8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x25\xf8\x7b\x10\0\0\0\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x26\x10\x7b\x10\0\0\
\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x25\xb0\x63\x10\
\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x25\xb4\x63\
\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x25\xb8\
\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x25\xe0\x63\x10\0\0\0\0\0\0\x18\x86\0\0\0\0\0\0\0\0\0\0\0\0\x23\xe8\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x26\x18\xb7\x20\0\0\0\0\0\x0a\xb7\x30\0\0\0\0\0\x0e\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\x62\x80\0\x04\0\0\0\0\
\x62\x80\0\x0c\0\0\0\0\xc5\x70\0\x04\0\0\0\0\x63\x87\0\x04\0\0\0\0\x77\x70\0\0\
\0\0\0\x20\x63\x87\0\x0c\0\0\0\0\x75\x70\0\x03\0\0\0\0\x71\x98\0\x01\0\0\0\0\
\x54\x90\0\0\0\0\0\xf0\x73\x89\0\x01\0\0\0\0\x18\x86\0\0\0\0\0\0\0\0\0\0\0\0\
\x24\x38\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x26\x28\xb7\x20\0\0\0\0\0\x0f\xb7\x30\
\0\0\0\0\0\0\x18\x46\0\0\0\0\0\0\0\0\0\0\0\0\x26\x38\xbf\x74\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\xb3\x79\x97\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\x15\x70\0\x01\xff\xff\
\xff\xfe\xc5\x70\xff\x5c\0\0\0\0\x63\x89\0\x04\0\0\0\0\x77\x90\0\0\0\0\0\x20\
\x63\x89\0\x0c\0\0\0\0\x18\x86\0\0\0\0\0\0\0\0\0\0\0\0\x24\x60\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x26\x40\xb7\x20\0\0\0\0\0\x10\xb7\x30\0\0\0\0\0\0\x18\x46\0\0\
\0\0\0\0\0\0\0\0\0\0\x26\x50\xbf\x74\0\0\0\0\0\0\x85\0\0\0\0\0\0\xb3\x79\x97\0\
\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\x15\x70\0\x01\xff\xff\xff\xfe\xc5\x70\xff\x4b\0\
\0\0\0\x63\x89\0\x04\0\0\0\0\x77\x90\0\0\0\0\0\x20\x63\x89\0\x0c\0\0\0\0\x18\
\x86\0\0\0\0\0\0\0\0\0\0\0\0\x24\x88\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x26\x58\
\xb7\x20\0\0\0\0\0\x0f\xb7\x30\0\0\0\0\0\x0e\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\xa7\xbf\x70\0\0\0\0\0\0\x62\x80\0\x04\0\0\0\0\x62\x80\0\x0c\0\0\0\0\xc5\x70\
\0\x04\0\0\0\0\x63\x87\0\x04\0\0\0\0\x77\x70\0\0\0\0\0\x20\x63\x87\0\x0c\0\0\0\
\0\x75\x70\0\x03\0\0\0\0\x71\x98\0\x01\0\0\0\0\x54\x90\0\0\0\0\0\xf0\x73\x89\0\
\x01\0\0\0\0\x18\x86\0\0\0\0\0\0\0\0\0\0\0\0\x24\xa8\x18\x26\0\0\0\0\0\0\0\0\0\
\0\0\0\x24\x8c\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x24\xac\x63\
\x10\0\0\0\0\0\0\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x24\x94\x61\x02\0\0\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x24\xb4\x63\x10\0\0\0\0\0\0\x61\x98\0\x04\0\0\
\0\0\x55\x90\0\x03\0\0\0\0\x71\x98\0\x01\0\0\0\0\x54\x90\0\0\0\0\0\xf0\x73\x89\
\0\x01\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x25\x98\
\xb7\x30\0\0\0\0\0\x80\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\x23\xf4\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x24\x94\x61\x10\0\
\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\
\x70\xff\x0f\0\0\0\0\x63\xa7\xff\x80\0\0\0\0\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\
\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\x80\0\0\0\0\
\x63\x60\0\x28\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\
\x63\x60\0\x18\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->data =
		mmap(skel->data, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.data.map_fd, 0);
	return 0;
}

static inline struct test_ksyms_weak_lskel *
test_ksyms_weak_lskel__open_and_load(void)
{
	struct test_ksyms_weak_lskel *skel;

	skel = test_ksyms_weak_lskel__open();
	if (!skel)
		return NULL;
	if (test_ksyms_weak_lskel__load(skel)) {
		test_ksyms_weak_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __TEST_KSYMS_WEAK_LSKEL_SKEL_H__ */
